---
displayed_sidebar: entitiesSidebar
---

# Class: ShippingTaxRate

## Constructors

### constructor

• **new ShippingTaxRate**()

## Properties

### created\_at

• **created\_at**: `Date`

#### Defined in

[models/shipping-tax-rate.ts:31](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L31)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/shipping-tax-rate.ts:37](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L37)

___

### rate\_id

• **rate\_id**: `string`

#### Defined in

[models/shipping-tax-rate.ts:20](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L20)

___

### shipping\_option

• `Optional` **shipping\_option**: [`ShippingOption`](ShippingOption.md)

#### Defined in

[models/shipping-tax-rate.ts:24](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L24)

___

### shipping\_option\_id

• **shipping\_option\_id**: `string`

#### Defined in

[models/shipping-tax-rate.ts:17](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L17)

___

### tax\_rate

• `Optional` **tax\_rate**: [`TaxRate`](TaxRate.md)

#### Defined in

[models/shipping-tax-rate.ts:28](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L28)

___

### updated\_at

• **updated\_at**: `Date`

#### Defined in

[models/shipping-tax-rate.ts:34](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-tax-rate.ts#L34)
